clan::ElementArrayBufferProvider Class Reference - ClanLib SDK
Description: clan::ElementArrayBufferProvider Class Reference

Public Member Functions | List of all members
clan::ElementArrayBufferProvider Class Referenceabstract
clanDisplay Display

Element Array Buffer provider. More...

`#include <element_array_buffer_provider.h>`

## Public Member Functions
virtual | ~ElementArrayBufferProvider ()
virtual void | copy_from (GraphicContext &gc, TransferBuffer &buffer, int dest_pos, int src_pos, int size)=0
| Copies data from transfer buffer.
virtual void | copy_to (GraphicContext &gc, TransferBuffer &buffer, int dest_pos, int src_pos, int size)=0
| Copies data to transfer buffer.
virtual void | create (int size, BufferUsage usage)=0
| Constructs a element array buffer.
virtual void | create (void *data, int size, BufferUsage usage)=0
| Create.
virtual void | upload_data (GraphicContext &gc, const void *data, int size)=0
| Uploads data to element array buffer.

## Detailed Description

Element Array Buffer provider.

## Constructor & Destructor Documentation

## ◆ ~ElementArrayBufferProvider()

virtual clan::ElementArrayBufferProvider::~ElementArrayBufferProvider | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ copy_from()

virtual void clan::ElementArrayBufferProvider::copy_from | ( | GraphicContext & | gc,
|  | TransferBuffer & | buffer,
|  | int | dest_pos,
|  | int | src_pos,
|  | int | size )
| pure virtual

Copies data from transfer buffer.

## ◆ copy_to()

virtual void clan::ElementArrayBufferProvider::copy_to | ( | GraphicContext & | gc,
|  | TransferBuffer & | buffer,
|  | int | dest_pos,
|  | int | src_pos,
|  | int | size )
| pure virtual

Copies data to transfer buffer.

## ◆ create() [1/2]

virtual void clan::ElementArrayBufferProvider::create | ( | int | size,
|  | BufferUsage | usage )
| pure virtual

Constructs a element array buffer.

## ◆ create() [2/2]

virtual void clan::ElementArrayBufferProvider::create | ( | void * | data,
|  | int | size,
|  | BufferUsage | usage )
| pure virtual

Create.

Parameters

  data | = void
  size | = value
  usage | = Buffer Usage

## ◆ upload_data()

virtual void clan::ElementArrayBufferProvider::upload_data | ( | GraphicContext & | gc,
|  | const void * | data,
|  | int | size )
| pure virtual

Uploads data to element array buffer.

The size specified must match the size of the buffer and is only included to help guard against buffer overruns.

The documentation for this class was generated from the following file:

- element_array_buffer_provider.h